delete from report_sql where computer={?Computer};

INSERT INTO REPORT_SQL (COMPUTER, DATE3, date4, date5, NUM1, NUM2, NUM3, STR1, STR2, STR3, STR4, str8, num7, num8) 
select {?Computer}, {?Datum}, dog.dan, dog.zpd, DOG.IDPOG, dog.IDDOG, DOG.IDVPL, DOG.SFPDG, VPL.ST, 
       CASE WHEN DOG.SFPDG='S' THEN 'STORITEV' ELSE 'FAKTURA'END,
       case when nvl(sto.dvk,0)=0 then 'N' else 'D' end, 
       case when dog.stn=']' then 'STORNO' else '' end,
       dog.sfdog, dog.idsto
from DOG 
JOIN VPL ON VPL.IDVPL=DOG.IDVPL
LEFT OUTER JOIN STO ON STO.IDSTO=DOG.IDSTO
WHERE dog.DAN={?Datum}
?AND DOG.IDPOG={?idpog}
?AND DOG.IDVPL={?idvpl}
AND VPL.SFVPL='F'
;


update report_sql 
set num6=(select sum(dvk) from sto where idfkt=num3)
where computer={?Computer}
and str1='F'
;

update report_sql 
set num12=1
where computer={?Computer}
and str1='S'
and num7 in (304,599)
;

update report_sql 
set num12=(select sum(nvl(a.num12,0)) from report_sql a where a.computer=report_sql.computer and a.str1='S' and a.num3=report_sql.num3)
where computer={?Computer}
and str1='F'
;

update report_sql set num4 = (SELECT SFOSB FROM POG WHERE pog.idpog=num1) where computer={?Computer};


--minus stanje oz. zapadle terjatve
update report_sql 
set num11=nvl((select abs(sum(got+obv-ter)) TER from dog
          where zpd<=date3
          and sfzrr='7'
          and sfvpgot in (select sfvp from sfvp where krt='EUR')
          and idpog=num1
          having sum(got+obv-ter)<-0.01),0)
where computer={?Computer}
and str1='F'
;



-- Status osebe, drava, davni zavezanec
update REPORT_SQL
SET STR34=(SELECT EC from DRZ WHERE sfdrz IN (SELECT sfdrz FROM OSB WHERE OSB.SFOSB = REPORT_SQL.NUM4)),
    STR32=(SELECT sfdrz from OSB WHERE OSB.SFOSB = REPORT_SQL.NUM4),
    STR33=(SELECT
                  CASE
                      WHEN sfsos = 'F' then 'F'
                      ELSE 'P'
                  END
                  FROM OSB WHERE OSB.SFOSB = REPORT_SQL.NUM4),
    STR30=(SELECT DZ from OSB WHERE OSB.SFOSB = REPORT_SQL.NUM4)
WHERE computer={?Computer}
;

-- Oznaka_drave
update REPORT_SQL
SET STR35=(SELECT
                CASE
                    WHEN R.STR32 = 'S' then 'D'
                    WHEN R.STR32 <> 'S' and R.STR34 ='D' then 'E'
                    ELSE 'T'
                END
           FROM REPORT_SQL R WHERE R.num2 = report_sql.num2 and R.computer={?Computer})
WHERE computer={?Computer}
;

--- KLAVZULE ----

update report_sql 
set (num5, str5)=(select idkla, tekst from (select distinct sto.idsto, sto.idfkt, sto.cen, sto.vrd, sto.dvkvrd, r.num1,
                                             d.iddog, r.num2, r.str35, r.str33, r.str30, r.computer,
                                             k.oznaka_drzava, k.pravni_status, k.je_zavezanec, k.vrsta_izp, k.tekst,
                                             k.stor_z_ddv, (case when nvl(sto.dvk,0)=0 then 'N' else 'D' end) as aa, k.idkla
                                      from sto
                                      join dog d on d.idvpl=sto.idfkt and d.idsto=sto.idsto
                                      join report_sql r on r.num2=d.iddog
                                      join sif_klavzule k on 
                                          (r.STR35 = k.oznaka_drzava 
                                           AND R.STR33 = k.pravni_status 
                                           AND R.STR30 = k.je_zavezanec 
                                           AND k.vrsta_izp = 'F'
                                           and k.stor_z_ddv=(case when nvl(sto.dvk,0)=0 then 'N' else 'D' end))
                                      and k.dan <= R.date3 
                                      and (k.dando is null or  k.dando>=R.date3)) a
            where a.num1=report_sql.num1
            and a.computer=report_sql.computer
            and a.num2=report_sql.num2)
where computer={?Computer}
and str1='S'
;

UPDATE REPORT_SQL F
SET F.STR6=(SELECT MAX(S.STR5) FROM REPORT_SQL S 
          WHERE S.STR4='N'
          AND F.NUM3=S.NUM3 AND F.STR1='F' AND S.STR1='S'
          AND F.COMPUTER=S.COMPUTER)
where computer={?Computer}
and f.str1='F'
;

UPDATE REPORT_SQL F
SET F.STR6=(SELECT MAX(S.STR5) FROM REPORT_SQL S 
          WHERE S.STR4='D'
          AND F.NUM3=S.NUM3 AND F.STR1='F' AND S.STR1='S'
          AND F.COMPUTER=S.COMPUTER)
where f.computer={?Computer}
and f.str1='F'
and f.str6 is null
;



--- DIREKTNA BREMENITEV ----
INSERT INTO REPORT_SQL ( COMPUTER, num29, num1, STR3)
select DISTINCT {?Computer} , 3, R.num1, 'DIREKTNA BREMENITEV'
FROM report_sql R    
WHERE R.computer = {?Computer}
group by R.num1;

--pogledam v pos tabelo in v str1 polnim sfpos
update report_sql 
set report_sql.str1 = (select pos.sfpos from pos 
                       where report_sql.num1 = pos.idpog  
                       and pos.SFPOS = 'B')
where report_sql.computer = {?Computer} 
and report_sql.num29=3;

update report_sql 
set report_sql.str1 = 'N' 
where report_sql.computer = {?Computer} 
and report_sql.num29=3 
and report_sql.str1 is null
;


update report_sql 
set report_sql.str7 = 'P' 
where report_sql.computer = {?Computer} 
and report_sql.num1 in (select pog.idpog from pog
                       left outer join sfpog on sfpog.sfpog=pog.sfpog
                       where sfpog.sfpogsrc='P');


update report_sql set report_sql.str7 = 'N' 
where report_sql.computer = {?Computer} 
and report_sql.str7 is null
;